from Deadline.Events import *
from Deadline.Scripting import RepositoryUtils

######################################################################
## This is the function that Deadline calls to get an instance of the
## main DeadlineEventListener class.
######################################################################
def GetDeadlineEventListener():
    return PopulateBatchName()

######################################################################
## This is the function that Deadline calls when the event plugin is
## no longer in use so that it can get cleaned up.
######################################################################
def CleanupDeadlineEventListener( deadlinePlugin ):
    deadlinePlugin.Cleanup()

######################################################################
## This is the main DeadlineEventListener class for PopulateBatchName.
######################################################################
class PopulateBatchName (DeadlineEventListener):

    def __init__(self):
        self.OnJobSubmittedCallback += self.OnJobSubmitted

    def Cleanup(self):
        del self.OnJobSubmittedCallBack

    def OnJobSubmitted(self, job):
        if job.JobBatchName != "":
            job.ExtraInfo9 = job.JobBatchName
            RepositoryUtils.SaveJob(job)